Mailinglist Archive: opensuse-updates (99 mails)

< Previous Next >
openSUSE-SU-2013:0245-1: moderate: update for apache2
openSUSE Security Update: update for apache2
______________________________________________________________________________

Announcement ID: openSUSE-SU-2013:0245-1
Rating: moderate
References: #777260 #798733
Cross-References: CVE-2012-2687
Affected Products:
openSUSE 12.2
______________________________________________________________________________

An update that solves one vulnerability and has one errata
is now available.

Description:


- httpd-2.2.x-bnc798733-SNI_ignorecase.diff: ignore case
when checking against SNI server names. [bnc#798733]
-
httpd-2.2.x-bnc777260-CVE-2012-2687-mod_negotiation_filename
_xss.diff Escape filename for the case that uploads are
allowed with untrusted user's control over filenames and
mod_negotiation enabled on the same directory.
CVE-2012-2687 [bnc#777260]


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.2:

zypper in -t patch openSUSE-2013-81

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.2 (i586 x86_64):

apache2-2.2.22-4.10.1
apache2-debuginfo-2.2.22-4.10.1
apache2-debugsource-2.2.22-4.10.1
apache2-devel-2.2.22-4.10.1
apache2-event-2.2.22-4.10.1
apache2-event-debuginfo-2.2.22-4.10.1
apache2-example-pages-2.2.22-4.10.1
apache2-itk-2.2.22-4.10.1
apache2-itk-debuginfo-2.2.22-4.10.1
apache2-prefork-2.2.22-4.10.1
apache2-prefork-debuginfo-2.2.22-4.10.1
apache2-utils-2.2.22-4.10.1
apache2-utils-debuginfo-2.2.22-4.10.1
apache2-worker-2.2.22-4.10.1
apache2-worker-debuginfo-2.2.22-4.10.1

- openSUSE 12.2 (noarch):

apache2-doc-2.2.22-4.10.1


References:

http://support.novell.com/security/cve/CVE-2012-2687.html
https://bugzilla.novell.com/777260
https://bugzilla.novell.com/798733


< Previous Next >
This Thread
  • No further messages